textures/arctic/light_m01z_3000
{
	qer_editorimage textures/arctic/light_m01b.tga
	q3map_lightimage textures/arctic/light_m01b.blend.tga
	q3map_surfacelight 3000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/arctic/light_m01b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/arctic/light_m01b.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/liquids/clear_calm3
		
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	
	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/liquids/pool3d_5e.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	
	{ 
		map textures/liquids/pool3d_3e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}

	
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity	
	}
}

textures/arctic/light_xlight3_3750
{
	qer_editorimage textures/lights/light_xlight_03.tga
	q3map_surfacelight 3570
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_xlight_02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_xlight_02.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/arctic/light3_1_3000
{
	qer_editorimage textures/arctic/light3_1.tga
	surfaceparm nomarks
	q3map_surfacelight 3000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/arctic/light3_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/arctic/light3_2.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/dist_textures/save_dist_beta
{
	qer_editorimage textures/dist_textures/save.tga
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	cull disable
	deformVertexes autosprite
	{
		map textures/dist_textures/save.tga
		blendfunc add
	}
}

textures/arctic_test/base_terrain
{
    q3map_nonplanar
    q3map_shadeAngle 180                                              

    q3map_lightmapMergable
    q3map_lightmapaxis z
    q3map_lightmapsize 256 256
}

textures/arctic_test/snow
{
	qer_editorimage textures/stone/mxsnow2.tga
	q3map_baseshader textures/arctic_test/base_terrain
    	
	surfaceparm landmine
	surfaceparm snowsteps
    	
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	
	
	{
		map textures/stone/mxsnow2.tga
		rgbGen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/arctic_test/wall1_20_1k
{
	qer_editorimage textures/arctic/wall1_20.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/arctic/wall1_20.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/arctic/wall1_20.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/arctic_test/trim1_9_1k
{
	qer_editorimage textures/arctic/trim1_9.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/arctic/trim1_9.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/arctic/trim1_9.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/arctic_test/trim1_9_1k_pulse
{
	qer_editorimage textures/arctic/trim1_9.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/arctic/trim1_9.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/arctic/trim1_9.blend.tga
		rgbGen wave sin 0.2 0.8 1 1
		blendfunc GL_ONE GL_ONE
	}
}

textures/arctic_test/wall1_3_shiny
{
	qer_editorimage textures/arctic/wall1_3.tga

	{
		map textures/effects/tinfx2.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/arctic/wall1_3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}